__doc__ = '''Product LocalFactory'''

from ImageFile import ImageFile

# Import the module(s) containing product-specific objects
import LocalFactory

# Product meta-data:

# Names of objects added by this product:
meta_types=(
	{'name':'Local Factory','action':'manage_addLocalFactoryForm'},
	)

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
	'manage_addLocalFactoryForm': LocalFactory.addLocalFactoryForm,
	'manage_addLocalFactory': LocalFactory.addLocalFactory
	} 

# Permission to be added to folders:
__ac_permissions__=(
	# To add items:
	('Add Local Factories', ('manage_addLocalFactoryForm','manage_addLocalFactory')),
	# To manipulate item permissions at a high level.  Note that the
	# list of objects is empty, since we are just providing a place
	# to put acquired settings:
	('Change Local Factories', ()),
	)

# Define shared web objects that are used by products.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Product/name
misc_={
	'Main': ImageFile('icon.gif',globals()),
	}
